ru.bitel.oss.systems.inventory.resource.common.bean

## Class VlanResourceSubscription

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.oss.systems.inventory.resource.common.bean.VlanResourceSubscription

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class VlanResourceSubscription
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `SUBSCRIBER_TYPE_ACCOUNT`
    `static short` | `SUBSCRIBER_TYPE_CONTRACT`
    `static short` | `SUBSCRIBER_TYPE_DEVICE`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VlanResourceSubscription()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDateFrom()`
    `java.util.Date` | `getDateTo()`
    `int` | `getSubscriberId()`
    `java.lang.String` | `getSubscriberTitle()`
    `short` | `getSubscriberType()`
    `int` | `getVlan()`
    `int` | `getVlanResourseId()`
    `void` | `setDateFrom(java.util.Date dateFrom)`
    `void` | `setDateTo(java.util.Date dateTo)`
    `void` | `setSubscriberId(int subscriberId)`
    `void` | `setSubscriberTitle(java.lang.String subscriberTitle)`
    `void` | `setSubscriberType(short subscriberType)`
    `void` | `setVlan(int vlan)`
    `void` | `setVlanResourseId(int vlanResourseId)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SUBSCRIBER_TYPE_CONTRACT

          public static final short SUBSCRIBER_TYPE_CONTRACT

      See Also:
        Constant Field Values

    - #### SUBSCRIBER_TYPE_ACCOUNT

          public static final short SUBSCRIBER_TYPE_ACCOUNT

      See Also:
        Constant Field Values

    - #### SUBSCRIBER_TYPE_DEVICE

          public static final short SUBSCRIBER_TYPE_DEVICE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VlanResourceSubscription

          public VlanResourceSubscription()

  - ### Method Detail

    - #### getVlanResourseId

          public int getVlanResourseId()

    - #### setVlanResourseId

          public void setVlanResourseId(int vlanResourseId)

    - #### getVlan

          public int getVlan()

    - #### setVlan

          public void setVlan(int vlan)

    - #### getDateFrom

          public java.util.Date getDateFrom()

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

    - #### getSubscriberType

          public short getSubscriberType()

    - #### setSubscriberType

          public void setSubscriberType(short subscriberType)

    - #### getSubscriberId

          public int getSubscriberId()

    - #### setSubscriberId

          public void setSubscriberId(int subscriberId)

    - #### getSubscriberTitle

          public java.lang.String getSubscriberTitle()

    - #### setSubscriberTitle

          public void setSubscriberTitle(java.lang.String subscriberTitle)